@echo off

echo  -------------------------------------------------------------------------
echo  This test bat will test ../john against many formats.
echo  Each test should find 1320 passwords.  Any which do not, show a problem
echo  -------------------------------------------------------------------------
echo.
call tstone gen_0_tst.in       "-form=md5_gen(0)"
call tstone gen_1_tst.in       "-form=md5_gen(1)"
call tstone gen_2_tst.in       "-form=md5_gen(2)"
call tstone gen_3_tst.in       "-form=md5_gen(3)"
call tstone gen_4_tst.in       "-form=md5_gen(4)"
call tstone gen_5_tst.in       "-form=md5_gen(5)"
call tstone gen_6_tst.in       "-form=md5_gen(6)"
call tstone gen_6_1salt_tst.in "-form=md5_gen(6)_1-salt"
call tstone gen_7_tst.in       "-form=md5_gen(7)" -fie \x1f
call tstone gen_8_tst.in       "-form=md5_gen(8)"
call tstone gen_9_tst.in       "-form=md5_gen(9)"
call tstone gen_10_tst.in      "-form=md5_gen(10)"
call tstone gen_11_tst.in      "-form=md5_gen(11)"
call tstone gen_12_tst.in      "-form=md5_gen(12)"
call tstone gen_13_tst.in      "-form=md5_gen(13)"
call tstone gen_14_tst.in      "-form=md5_gen(14)"
call tstone gen_15_tst.in      "-form=md5_gen(15)"
call tstone gen_16_tst.in      "-form=md5_gen(16)"
call tstone gen_17_tst.in      "-form=md5_gen(17)"
call tstone gen_18_tst.in      "-form=md5_gen(18)"
call tstone gen_19_tst.in      "-form=md5_gen(19)"
call tstone gen_20_tst.in      "-form=md5_gen(20)"
call tstone gen_21_tst.in      "-form=md5_gen(21)"
call tstone gen_22_tst.in      "-form=md5_gen(22)"
call tstone gen_23_tst.in      "-form=md5_gen(23)"
call tstone gen_24_tst.in      "-form=md5_gen(24)"
call tstone gen_25_tst.in      "-form=md5_gen(25)"
call tstone gen_26_tst.in      "-form=md5_gen(26)"
call tstone gen_27_tst.in      "-form=md5_gen(27)"
call tstone gen_28_tst.in      "-form=md5_gen(28)"

call tstone DES_tst.in         "-form=DES"
call tstone BigCrypt_tst.in    "-form=BigCrypt_DES"
call tstone md5_1_tst.in       "-form=md5"
call tstone md5_apr1_tst.in    "-form=md5_(apr1)"
call tstone pixMD5.in          "-form=pixMD5"
call tstone PO_tst.in          "-form=PO"
call tstone PHPS_tst.in        "-form=PHPS"
call tstone gen_raw_tst.in     "-form=raw-md5" -form raw-md5
call tstone gen_phpass_tst.in  "-form=PHPass-md5"
call tstone BF_tst.in          "-form=BF"
call tstone BSDI_tst.in        "-form=BSDI"
call tstone RawSHA1_tst.in     "-form=raw-sha1" -form raw-sha1
call tstone NT_tst.in          "-form=NT"      -form nt
call tstone RawMD4_tst.in      "-form=raw-md4" -form raw-md4
call tstone MSCash_tst.in      "-form=mscash" -form mscash
call tstone LM_tst.in          "-form=LM" -form lm
echo NOTE, only 698 LM tests found in this pwdump file, that is 'normal'
call tstone PWDUMP_tst.in      "-form=pwdump_LM" -form lm
call tstone PWDUMP_tst.in      "-form=pwdump_NT" -form nt
call tstone nsldaps_tst.in     "-form=Netscape_LDAP_SSHA"      -form ssha
call tstone ns_tst.in          "-form=Netscreen_MD5"
call tstone XSHA_tst.in        "-form=MAC_OSX_Salted_SHA1"
